#ifndef INCLUDE_PIC_H
#define INCLUDE_PIC_H

#include "types.h"

#define PIC_1           0x20
#define PIC_2           0xA0
#define PIC_1_OFFSET    0x20 // Interrupt vector offset for PIC1
#define PIC_2_OFFSET    0x28 // Interrupt vector offset for PIC2

void pic_remap(s32int offset1, s32int offset2);
void pic_acknowledge(u32int interrupt);

#endif
