#include "frame_buffer.h"
#include "io.h"

#define FRAME_BUFFER_ADDRESS 0xB8000
#define MAX_COLS 80
#define MAX_ROWS 25

void fb_write_cell(u32int index, char c, u8int fg, u8int bg) {
    volatile char *fb = (volatile char *)FRAME_BUFFER_ADDRESS;
    fb[index * 2] = c;
    fb[index * 2 + 1] = (bg << 4) | (fg & 0x0F);
}
