#include "io.h"
#include "pic.h"
#include "types.h"

void pic_remap(s32int offset1, s32int offset2) {
    outb(PIC_1, 0x11);
    outb(PIC_2, 0x11);
    outb(PIC_1 + 1, offset1);
    outb(PIC_2 + 1, offset2);
    outb(PIC_1 + 1, 0x04);
    outb(PIC_2 + 1, 0x02);
    outb(PIC_1 + 1, 0x01);
    outb(PIC_2 + 1, 0x01);
}

void pic_acknowledge(u32int interrupt) {
    if (interrupt < 40) outb(PIC_1, 0x20);
    if (interrupt >= 40) outb(PIC_2, 0x20);
}
